From b6374a6d67b9bd0d87b0d4ecc354818fafcc0532 Mon Sep 17 00:00:00 2001
From: Antonio Terceiro <terceiro@debian.org>
Date: Sun, 11 Aug 2013 20:31:43 +0200
Subject: [PATCH] Switch from ruby1.8 to ruby

---
 apt-listbugs                                         | 2 +-
 aptcleanup                                           | 2 +-
 debian/control                                       | 4 ++--
 examples/from-severity-get-bugtitles-and-pkgnames.rb | 2 +-
 examples/getbugstest.rb                              | 2 +-
 examples/listbugs-soap.rb                            | 2 +-
 examples/minimal-soap.rb                             | 2 +-
 lib/apt-listbugs/logic.rb                            | 3 +++
 test_logic.rb                                        | 2 +-
 9 files changed, 12 insertions(+), 9 deletions(-)

diff --git a/apt-listbugs b/apt-listbugs
index 251b5dd..6d62975 100755
--- a/apt-listbugs
+++ b/apt-listbugs
@@ -1,4 +1,4 @@
-#!/usr/bin/ruby1.8
+#!/usr/bin/ruby
 #
 # apt-listbugs: retrieves bug reports and lists them
 #
diff --git a/aptcleanup b/aptcleanup
index b6494ab..2f2d13b 100755
--- a/aptcleanup
+++ b/aptcleanup
@@ -1,4 +1,4 @@
-#!/usr/bin/ruby1.8
+#!/usr/bin/ruby
 #
 # aptcleanup: filters /etc/apt/preferences to unpin packages when bugs are fixed
 #
diff --git a/debian/control b/debian/control
index 48bab5c..fa16256 100644
--- a/debian/control
+++ b/debian/control
@@ -3,7 +3,7 @@ Section: admin
 Priority: optional
 Maintainer: Francesco Poli (wintermute) <invernomuto@paranoici.org>
 Build-Depends: debhelper (>= 7.0.50)
-Build-Depends-Indep: ruby1.8, rdtool, gettext, ruby-debian (>= 0.3.3), ruby-gettext (>= 2.1.0)
+Build-Depends-Indep: ruby, rdtool, gettext, ruby-debian (>= 0.3.3), ruby-gettext (>= 2.1.0)
 Standards-Version: 3.9.4
 Vcs-Git: git://anonscm.debian.org/apt-listbugs/apt-listbugs.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=apt-listbugs/apt-listbugs.git
@@ -11,7 +11,7 @@ Homepage: http://alioth.debian.org/projects/apt-listbugs/
 
 Package: apt-listbugs
 Architecture: all
-Depends: ${misc:Depends}, ruby1.8 (>= 1.8), libruby1.8 (>= 1.8.5), ruby-debian (>= 0.3.3), apt, ruby-gettext (>= 2.1.0), ruby-xmlparser, ruby-httpclient (>= 2.1.5.2-1)
+Depends: ${misc:Depends}, ruby | ruby-interpreter, ruby-debian (>= 0.3.3), apt, ruby-gettext (>= 2.1.0), ruby-xmlparser, ruby-httpclient (>= 2.1.5.2-1)
 Suggests: reportbug, debianutils (>= 2.0) | www-browser | w3m
 Description: tool which lists critical bugs before each apt installation
  apt-listbugs is a tool which retrieves bug reports from the Debian Bug
diff --git a/examples/from-severity-get-bugtitles-and-pkgnames.rb b/examples/from-severity-get-bugtitles-and-pkgnames.rb
index 8ef6092..9cb0abd 100755
--- a/examples/from-severity-get-bugtitles-and-pkgnames.rb
+++ b/examples/from-severity-get-bugtitles-and-pkgnames.rb
@@ -1,4 +1,4 @@
-#!/usr/bin/ruby1.8 -I/usr/share/apt-listbugs/
+#!/usr/bin/ruby -I/usr/share/apt-listbugs/
 
 ###
 ### test the relay with get_bugs->get_status.
diff --git a/examples/getbugstest.rb b/examples/getbugstest.rb
index 2c0cbea..ffd8a99 100755
--- a/examples/getbugstest.rb
+++ b/examples/getbugstest.rb
@@ -1,4 +1,4 @@
-#!/usr/bin/ruby1.8 -I/usr/share/apt-listbugs/
+#!/usr/bin/ruby -I/usr/share/apt-listbugs/
 
 ###
 ### test the get_bugs interface, which returns the bugs matching the key-id pair from the BTS.
diff --git a/examples/listbugs-soap.rb b/examples/listbugs-soap.rb
index 16c91ec..6cb33af 100755
--- a/examples/listbugs-soap.rb
+++ b/examples/listbugs-soap.rb
@@ -1,4 +1,4 @@
-#!/usr/bin/ruby1.8 -I/usr/share/apt-listbugs/
+#!/usr/bin/ruby -I/usr/share/apt-listbugs/
 
 require 'debian/bts'
 require 'debian/btssoap'
diff --git a/examples/minimal-soap.rb b/examples/minimal-soap.rb
index c26daec..1fceca0 100755
--- a/examples/minimal-soap.rb
+++ b/examples/minimal-soap.rb
@@ -1,4 +1,4 @@
-#!/usr/bin/ruby1.8
+#!/usr/bin/ruby
 # use raw soap interface to create a minimal code that works.
 # 15 Jul 2007: created as an example to paste into http://wiki.debian.org/DebbugsSoapInterface documentation.
 require 'soap/rpc/driver'
diff --git a/lib/apt-listbugs/logic.rb b/lib/apt-listbugs/logic.rb
index 66dec3c..0fc5975 100644
--- a/lib/apt-listbugs/logic.rb
+++ b/lib/apt-listbugs/logic.rb
@@ -1,3 +1,5 @@
+# encoding: UTF-8
+#
 # logic.rb: contains most logic from original apt-listbugs.
 #
 # Copyright (C) 2002  Masato Taruishi <taru@debian.org>
@@ -28,6 +30,7 @@ require 'thread'
 require 'tempfile'
 require 'gettext'
 require 'rss/maker'
+require 'soap/soap'
 include GetText
 
 
diff --git a/test_logic.rb b/test_logic.rb
index 9b6d1fb..b37adfe 100755
--- a/test_logic.rb
+++ b/test_logic.rb
@@ -1,4 +1,4 @@
-#!/usr/bin/ruby1.8 -Ilib/
+#!/usr/bin/ruby -Ilib/
 #
 # test_logic: perform unit tests on apt-listbugs/logic
 #
-- 
1.8.4.rc2

